Bug 57130 - Xalarm port does not compile under -CURRENT
Summary: Xalarm port does not compile under -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cy Schubert
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-23 14:40 UTC by Cy Schubert
Modified: 2003-12-31 19:24 UTC (History)
0 users

See Also:


Attachments
file.diff (460 bytes, patch)
2003-09-23 14:40 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy Schubert 2003-09-23 14:40:17 UTC
Xalarm port does not compile under -CURRENT.

Fix: (PORTREVISION bump not necessary.)
How-To-Repeat: Try building under -CURRENT
Comment 1 Cy Schubert freebsd_committer 2003-09-23 14:41:14 UTC
State Changed
From-To: open->analyzed

This PR is a reminder to me to commit this patch after the 
4.9 ports freeze. 


Comment 2 Cy Schubert freebsd_committer 2003-09-23 14:41:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

This PR is a reminder to me to commit this patch after the 
4.9 ports freeze.
Comment 3 Christian Weisgerber 2003-09-26 18:04:25 UTC
In article <200309231332.h8NDWB0q046111@cwsys.cwsent.com> you write:

> >Number:         57130
> >Category:       ports
> >Synopsis:       Xalarm port does not compile under -CURRENT

> +USE_GCC=	3.2
> +MAKE_ENV=	IMAKECPP=${LOCALBASE}/bin/cpp32

I think you can simply fix-up the Imakefile instead.

${REINPLACE_CMD} 's:^/\*\*/#:XCOMM:' ${WRKSRC}/Imakefile

-- 
Christian "naddy" Weisgerber                          naddy@mips.inka.de
Comment 4 Cy Schubert 2003-11-13 06:32:11 UTC
I've asked the MAINTAINER for his approval to commit the following patch.

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/x11-clocks/xalarm/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	30 Jul 2003 20:52:11 -0000	1.10
+++ Makefile	13 Nov 2003 06:27:16 -0000
@@ -16,10 +16,6 @@
 
 .include <bsd.port.pre.mk>
 
-.if ${OSVERSION} > 501102
-BROKEN=		"Does not compile"
-.endif
-
 USE_IMAKE=	yes
 IS_INTERACTIVE=	yes
 
Index: files/patch-aa
===================================================================
RCS file: /home/pcvs/ports/x11-clocks/xalarm/files/patch-aa,v
retrieving revision 1.2
diff -u -r1.2 patch-aa
--- files/patch-aa	5 Jan 2002 10:15:33 -0000	1.2
+++ files/patch-aa	13 Nov 2003 06:27:16 -0000
@@ -1,8 +1,54 @@
---- Imakefile.orig	Sat Jul 22 00:32:07 1995
-+++ Imakefile	Tue Dec 25 17:40:22 2001
-@@ -23,7 +23,7 @@
- /**/#   this may not work if xalarm is invoked from a pseudo terminal).
- /**/# o Define USECUSERID to use cuserid(3) to get the user name.
+--- Imakefile.orig	Fri Jul 21 07:32:07 1995
++++ Imakefile	Wed Nov 12 22:24:04 2003
+@@ -1,29 +1,29 @@
+-/**/# Based on an Imakefile from:
+-/**/# Andreas Stolcke
+-/**/# International Computer Science Institute, Berkeley.
+-/**/# With help from:
+-/**/# George Lindholm, Jonathan I. Kamens, Braham Levy.
+-
+-
+-/**/# o Define FORKRETURNSSHORT/FORKRETURNSLONG/FORKRETURNSPID_T if your
+-/**/#   fork(2) returns short/long/pid_t not int.
+-/**/# o Define USEFLOCK or USELOCKF to use flock(2) or lockf(3) to lock 
files,
+-/**/#   rather than fcntl(2).
+-/**/# o Define USELSEEK to use lseek(2) to move to the end of the file, 
rather
+-/**/#   than fseek(3).
+-/**/# o Define USERENAME to use rename(2) to rename file names (otherwise
+-/**/#   un/link(2)).
+-/**/# o Define USEGETHOSTNAME or USEUNAME (or neither if you don't have
+-/**/#   gethostname(2) or uname(2)) to get the name of your system.
+-/**/# o Define USEGETPWUID to use getpwuid(3) and getuid(2) to get the 
user
+-/**/#   name and home directory on your system.  Note that if you want to 
use
+-/**/#   this method to get the user's home directory, but another method 
to get
+-/**/#   the user name, this symbol must still be defined.
+-/**/# o Define USEGETLOGIN to use getlogin(3) to get the user name (note 
that
+-/**/#   this may not work if xalarm is invoked from a pseudo terminal).
+-/**/# o Define USECUSERID to use cuserid(3) to get the user name.
++# Based on an Imakefile from:
++# Andreas Stolcke
++# International Computer Science Institute, Berkeley.
++# With help from:
++# George Lindholm, Jonathan I. Kamens, Braham Levy.
++
++
++# o Define FORKRETURNSSHORT/FORKRETURNSLONG/FORKRETURNSPID_T if your
++#   fork(2) returns short/long/pid_t not int.
++# o Define USEFLOCK or USELOCKF to use flock(2) or lockf(3) to lock files,
++#   rather than fcntl(2).
++# o Define USELSEEK to use lseek(2) to move to the end of the file, rather
++#   than fseek(3).
++# o Define USERENAME to use rename(2) to rename file names (otherwise
++#   un/link(2)).
++# o Define USEGETHOSTNAME or USEUNAME (or neither if you don't have
++#   gethostname(2) or uname(2)) to get the name of your system.
++# o Define USEGETPWUID to use getpwuid(3) and getuid(2) to get the user
++#   name and home directory on your system.  Note that if you want to use
++#   this method to get the user's home directory, but another method to 
get
++#   the user name, this symbol must still be defined.
++# o Define USEGETLOGIN to use getlogin(3) to get the user name (note that
++#   this may not work if xalarm is invoked from a pseudo terminal).
++# o Define USECUSERID to use cuserid(3) to get the user name.
  
 -DEFINES = $(SIGNAL_DEFINES) -DUSERENAME -DUSEGETHOSTNAME -DUSEGETPWUID
 +DEFINES = $(SIGNAL_DEFINES) -DFORKRETURNSPID_T -DUSERENAME 
-DUSEGETHOSTNAME -DUSEGETPWUID



Cheers,
--
Cy Schubert <Cy.Schubert@komquats.com>        http://www.komquats.com/
BC Government                     .                       FreeBSD UNIX
Cy.Schubert@osg.gov.bc.ca         .                     cy@FreeBSD.org
http://www.gov.bc.ca/             .            http://www.FreeBSD.org/
Comment 5 Mark Linimon 2003-12-29 00:58:47 UTC
Cy, I'm looking through the PRs that are getting stale,
and my vote would be that if you haven't heard any
objection by this point, and since the port is still
marked broken, that you should just go ahead and commit it.
Comment 6 Cy Schubert freebsd_committer 2003-12-31 19:23:22 UTC
State Changed
From-To: analyzed->closed

Patch to patch-aa committed.